package cd.casic.ci.process.dto.req.pipeline;

import lombok.Data;

import java.time.LocalDateTime;

/**
 * @ClassName PipelineReq 新建作业target 阶段参数
 * @Author hopeli
 * @Date 2025/5/10 10:53
 * @Version 1.0
 */
@Data
public class PipelineCreateReq {
    //流水线名称
    private String name;

    //环境id
    private String envId;

    //分组id
    private String groupId;

    //流水线类型 1.多任务 2.多阶段
    private int type;

    //运行状态 1.未运行 2.运行中
    private int state;

    //项目作用域 1.全局 2.项目
    private int power;

    //颜色 1~5随机生成
    private int color;

    //流水线模板id
    private String templateId;

    //目标id
    private String targetVersionId;

    //目标类型
    private String targetType;

    //流水线标签
    private String pipelineTag;

    //项目id
    private String projectId;

    //备注
    private String remark;

    //收藏 0.未收藏 1.收藏
    private int collect;

    //执行人id
    private String executeUserId;

    //执行时间
    private LocalDateTime executeTime;

    //流水线触发模式
    private String pipelineTriggerMode;

    //执行状态
    private String executeStatus;

    //资源id
    private String resourceId;
}
