package cd.casic.ci.process.dto.resp.template;

import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

/**
 * @ClassName PipelineFindResp
 * @Author hopeli
 * @Date 2025/5/10 10:53
 * @Version 1.0
 */
@Data
public class TemplateFindResp {
    // 模板唯一标识符
    private String id;

    // 模板名称
    private String templateName;

    // 模板类型（如：流水线模板、任务模板等）
    private String templateType;

    // 模板编码或标识符
    private String templateCode;

    // 排序字段，用于控制显示顺序
    private Integer sort;

    // 备注信息，描述模板额外信息
    private String remark;

    // 阶段列表，包含属于该模板的多个阶段对象
    private List<TemplateStageResp> stageList;

    // 创建人ID，记录创建该模板的用户唯一标识
    private String creator;

    // 创建人姓名，记录创建该模板的用户名字
    private String creatorName;

    // 最后修改人ID，记录最后修改该模板的用户唯一标识
    private String updater;

    // 最后修改人姓名，记录最后修改该模板的用户名字
    private String updaterName;

    // 模板创建时间
    private LocalDateTime createTime;

    // 模板最后一次更新时间
    private LocalDateTime updateTime;


}
