package cd.casic.ci.process.process.service.resource;

import cd.casic.ci.process.dto.req.resource.ResourceCreateReq;
import cd.casic.ci.process.dto.req.resource.ResourceListReq;
import cd.casic.ci.process.dto.req.resource.ResourcePageReq;
import cd.casic.ci.process.dto.req.resource.ResourceUpdateReq;
import cd.casic.ci.process.dto.resp.resource.ResourceDetailResp;
import cd.casic.ci.process.dto.resp.resource.ResourceListResp;
import cd.casic.ci.process.process.dataObject.resource.PipResourceManager;
import cd.casic.framework.commons.pojo.PageResult;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;


/**
 * @author HopeLi
 * @version v1.0
 * @ClassName ResourceService
 * @Date: 2025/5/13 10:27
 * @Description:
 */
public interface ResourceManagerService extends IService<PipResourceManager> {
    /**
     *  创建||申请 资源
     * */
    String createResource(ResourceCreateReq req);
    String updateResource(ResourceUpdateReq req);
    ResourceDetailResp findResourceDetailById(String resourceId);
    void deleteResource(String resourceId);
    PageResult<ResourceListResp> page(ResourcePageReq req);

    List<ResourceListResp> list(ResourceListReq req);
}
