package cd.casic.module.terminal.host.terminal.model.request.host;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import jakarta.validation.constraints.NotNull;

/**
 * 主机 测试连接请求对象
 *
 * @author Jiahang Li
 * @version 1.0.0
 * @since 2023-9-11 14:16
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Schema(name = "HostTestConnectRequest", description = "主机 测试连接请求对象")
public class HostTestConnectRequest {

    @NotNull
    @Schema(description = "id")
    private Long id;

    @NotBlank
    @Schema(description = "主机类型")
    private String type;

}
